<div align="center">
  <img width=100 src="https://github.com/bdcorps/candymail/blob/main/candy.PNG?raw=true" />
  <h1>Email Automation for Node.js</h1>
  <img alt="MIT License" src="https://img.shields.io/github/license/bdcorps/candymail"/>
  <img alt="Github Stars" src="https://badgen.net/github/stars/bdcorps/candymail" />
</div>

<div align="center">
Candymail makes it easy to trigger and send multi-step email sequences in Node.js using a single JSON file. Built for bootstrappers, indie makers with special care.
</div>

<p align="center">
    <br />
    <a href="https://candymail.saasbase.dev"><strong>Explore docs »</strong></a>
    <br />
  <br/>
  </p>
  
<img src="https://github.com/bdcorps/candymail/blob/main/web.PNG?raw=true" />

## Features
1. **Portable**: Create, share and reuse email marketing strategies between different products
2. **Simple to use**: Time to send, subject, body of the emails can all be set up in a single JSON file
3. **Free**: No need to pay for monthly Mailchimp etc. payments for email automation plans
4. **HTML Support**: Add HTML templates in the email body
5. **Compliance**: Unsubscribe Option added to email footer

## Use Cases
- Build better onboarding by guiding the user through the app with paced training emails
- Reduce churn by sending exciting community content every few days
- Convert more customers to paid plans by offering discounts based on the user's usage activity

## Installation
``` bash
# npm
npm install --save candymail

# yarn
yarn add candymail
```

## Email Providers
Any service that allows SMTP:  Sendgrid, Mailgun, SES, Postmark, Mailjet

## Sponsors
- [SaasBase: Guides on building your next SaaS app](https://bit.ly/3oumU3V)


## Looking to contribute?
Read the `CONTRIBUTING.md` and pick up issues to work on from the Project Roadmap [here](https://github.com/bdcorps/candymail/wiki/Project-Roadmap).

Got Feedback? Hit me up at <a href="mailto:sunnyashiin@gmail.com">sunnyashiin@gmail.com</a> \
Now available for freelance work.

Thanks to [u/grantrules on Reddit](https://www.reddit.com/user/grantrules/) for helping with a code review

## Contributers
- @Gbaguidi and the team at [Gurulab](https://www.linkedin.com/company/gurulab-sas) build email body personalization feature. [Check out their product](https://kryptonite.africa).