"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendEmail = void 0;
const config_1 = require("../config");
const db_1 = require("../db");
const sendEmail = (message) => {
    const { id, email: { sendFrom, sendTo, subject, body }, } = message;
    const transporter = config_1.getTransporter();
    const html = `${body}<br><a href="${config_1.getConfig().hosting.url}/unsubscribe?email=${sendTo}">Click here to unsubscribe</a>`;
    const mailOptions = {
        from: sendFrom,
        to: sendTo,
        subject,
        html,
    };
    transporter.sendMail(mailOptions, (err, info) => __awaiter(void 0, void 0, void 0, function* () {
        if (err) {
            throw err;
        }
        yield db_1.setEmailSent(id);
    }));
};
exports.sendEmail = sendEmail;
